<?php

namespace Services;

use Models\PaymentModel;

class PaymentService
{
    private PaymentModel $paymentModel;

    public function __construct()
    {
        $this->paymentModel = new PaymentModel();
    }

    public function createPendingPayment(string $externalId, int $statusId, int $userId): int
    {
        return $this->paymentModel->create($externalId, $statusId, $userId, '', '', '');
    }
}
